Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get spare-part category by id

Prev Next
Get
/inventory/sparePartDefinitionCategories/{categoryId}

Returns the spare-part definition category identified by the given id, with its name and its parent category.
Required permissions: READ_SPARE_PART.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
categoryId
stringRequired

The spare-part category identifier.

Minimum1.0
Exampleabcd1234
Responses
200

Successful operation.

object
name
string

The category name.

parentId
string

The id of the parent category to which the category belongs.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error